Skip to main content
GET
/
v1
/
projects
/
{projectID}
/
endpoints
List all endpoints
curl --request GET \
  --url https://us.getconvoy.cloud/api/v1/projects/{projectID}/endpoints \
  --header 'Authorization: <api-key>'
import requests

url = "https://us.getconvoy.cloud/api/v1/projects/{projectID}/endpoints"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://us.getconvoy.cloud/api/v1/projects/{projectID}/endpoints', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "message": "<string>",
  "status": true,
  "data": {
    "content": [
      {
        "advanced_signatures": true,
        "authentication": {
          "api_key": {
            "header_name": "<string>",
            "header_value": "<string>"
          },
          "basic_auth": {
            "password": "<string>",
            "username": "<string>"
          },
          "oauth2": {
            "audience": "<string>",
            "client_id": "<string>",
            "client_secret": "<string>",
            "field_mapping": {
              "access_token": "<string>",
              "expires_in": "<string>",
              "token_type": "<string>"
            },
            "grant_type": "<string>",
            "issuer": "<string>",
            "scope": "<string>",
            "signing_algorithm": "<string>",
            "signing_key": {
              "crv": "<string>",
              "d": "<string>",
              "dp": "<string>",
              "dq": "<string>",
              "e": "<string>",
              "kid": "<string>",
              "kty": "<string>",
              "n": "<string>",
              "p": "<string>",
              "q": "<string>",
              "qi": "<string>",
              "x": "<string>",
              "y": "<string>"
            },
            "subject": "<string>",
            "url": "<string>"
          }
        },
        "content_type": "<string>",
        "created_at": "<string>",
        "deleted_at": "<string>",
        "description": "<string>",
        "events": 123,
        "failure_rate": 123,
        "http_timeout": 123,
        "mtls_client_cert": {
          "client_cert": "<string>",
          "client_key": "<string>"
        },
        "name": "<string>",
        "owner_id": "<string>",
        "project_id": "<string>",
        "rate_limit": 123,
        "rate_limit_duration": 123,
        "secrets": [
          {
            "created_at": "<string>",
            "deleted_at": "<string>",
            "expires_at": "<string>",
            "uid": "<string>",
            "updated_at": "<string>",
            "value": "<string>"
          }
        ],
        "slack_webhook_url": "<string>",
        "support_email": "<string>",
        "uid": "<string>",
        "updated_at": "<string>",
        "url": "<string>"
      }
    ],
    "pagination": {
      "has_next_page": true,
      "has_prev_page": true,
      "next_page_cursor": "<string>",
      "per_page": 123,
      "prev_page_cursor": "<string>"
    }
  }
}
{
  "message": "<string>",
  "status": true,
  "data": {}
}
{
  "message": "<string>",
  "status": true,
  "data": {}
}
{
  "message": "<string>",
  "status": true,
  "data": {}
}

Authorizations

Authorization
string
header
required

Path Parameters

projectID
string
required

Project ID

Query Parameters

direction
enum<string>
Available options:
next,
prev
next_page_cursor
string

A pagination cursor to fetch the next page of a list

ownerId
string

The owner ID of the endpoint

perPage
integer

The number of items to return per page

prev_page_cursor
string

A pagination cursor to fetch the previous page of a list

q
string

The name of the endpoint

sort
string

Sort order, values are ASC or DESC, defaults to DESC

Response

OK

message
string
status
boolean
data
object